diff --git a/resources/views/artefact/view.blade.php b/resources/views/artefact/view.blade.php
index 5ab4326..2f61696 100644
--- a/resources/views/artefact/view.blade.php
+++ b/resources/views/artefact/view.blade.php
@@ -18,7 +18,7 @@
         @else
             <div class="artefact-area mb-5">
                 <div class="card">
-                    <a href="{{ url('/artefact/' . $artefact->id) }}">
+                    <a href="#imageModal" data-toggle="modal">
                         <img class="card-img-top" src="{{asset('images/artefacts/book_cover_01.jpg')}}" width="100%" height=auto alt="book_cover">
                     </a>
                     <div class="card-cus-bottom">
@@ -28,10 +28,18 @@
                         </div>
                         <div class="col-xs-2 float-right right_panel_info">
                             <div class="float-left">
-                                <button id="info_butt_{{$artefact->id}}" type="button" class="btn btn-primary button-image inter_info"></button>
+                                <button type="button" class="btn btn-primary button-image inter_info" data-toggle="modal" data-target="#informationModal"></button>
                             </div>
                             <div class="float-right text-center">
-                                <button id="like_butt_{{$artefact->id}}" type="button" class="btn btn-primary button-image inter_like"></button>
+                                @if ($artefact->favourite)
+                                    <a href="{{  action('ArtefactController@unlike', ['id' => $artefact->id]) }}">
+                                        <button id="like_butt_{{$artefact->id}}" type="button" class="btn btn-primary button-image inter_like_filled"></button>
+                                    </a>
+                                @else
+                                    <a href="{{  action('ArtefactController@like', ['id' => $artefact->id]) }}">
+                                        <button id="like_butt_{{$artefact->id}}" type="button" class="btn btn-primary button-image inter_like"></button>
+                                    </a>
+                                @endif
                                 <h6 class="artefact-likes">{{$artefact->likes}}</h6>
                             </div>
                         </div>
@@ -40,4 +48,36 @@
             </div>
         @endif
     </div>
+
+    <!-- Image modal -->
+    <div class="modal image-modal fade" id="imageModal" tabindex="-1" role="dialog">
+        <div class="modal-dialog modal-dialog-centered" role="document">
+            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                <span aria-hidden="true">&times;</span>
+            </button>
+            <div class="modal-content">
+                <img class="card-img-top" src="{{asset('images/artefacts/book_cover_01.jpg')}}" width="100%" height=auto alt="book_cover">
+            </div>
+        </div>
+    </div>
+
+    <!-- Information modal -->
+    <div class="modal fade" id="informationModal" tabindex="-1" role="dialog">
+        <div class="modal-dialog modal-dialog-centered" role="document">
+            <div class="modal-content">
+                <div class="modal-header">
+                    <h5 class="modal-title">{{$artefact->name}} - {{$artefact->author}}</h5>
+                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                        <span aria-hidden="true">&times;</span>
+                    </button>
+                </div>
+                <div class="modal-body">
+                    Addition information about book.
+                </div>
+                <div class="modal-footer">
+                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
+                </div>
+            </div>
+        </div>
+    </div>
 @endsection
diff --git a/resources/views/auth/login.blade.php b/resources/views/auth/login.blade.php
index 1ff43ce..913594b 100644
--- a/resources/views/auth/login.blade.php
+++ b/resources/views/auth/login.blade.php
@@ -2,81 +2,94 @@
 
 @section('title', 'Login')
 
-@section('breadcrumb')
+{{--@section('breadcrumb')
     <li class="breadcrumb-item active" aria-current="page">Login</li>
-@endsection
+@endsection--}}
 
 @section('content')
-<div class="container">
-    <div class="row justify-content-center">
-        <div class="col-md-8">
-            <div class="auth">
-            <div class="card">
-                {{--<div class="card-header">{{ __('Login') }}</div>--}}
+    <div class="vertical-center">
+        <div class="container">
+            <div class="row justify-content-center">
+                <div class="col-sm-12">
+                    <div class="auth">
+                        <div class="card">
+                            {{--<div class="card-header">{{ __('Login') }}</div>--}}
 
-                <div class="card-body" style="padding-bottom: 0px">
-                    <form method="POST" action="{{ route('login') }}">
-                        @csrf
+                            <div class="card-body">
+                                <form method="POST" action="{{ route('login') }}">
+                                    @csrf
 
-                        <label for="logo" class="col-md-4 kaplicky">{{ __('kaplicky') }}</label>
+                                    <label for="logo" class="col-md-12 row kaplicky justify-content-center" >{{ __('kaplicky') }}</label>
 
-                        <div class="form-group row">
-                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('e-mail') }}</label>
+                                    {{--<label for="email" class="col-md-8 col-form-label text-md-left row justify-content-center">
+                                        {{ __('general.email') }}
+                                    </label>
+                                    <div class="col-md-4 offset-md-12 row justify-content-center">
+                                        <input id="email" type="email"
+                                               class="form-control text2 @error('email') is-invalid @enderror"
+                                               name="email"
+                                               value="{{ old('email') }}" --}}{{--required autocomplete="email" autofocus--}}{{-->
+                                    </div>--}}
+                                    <div class="form-group row ">
+                                        <label for="email" class="col-md-4 col-form-label text-md-right text">
+                                            {{ __('general.email') }}
+                                        </label>
 
-                            <div class="col-md-6">
-                                <input id="email" type="email" class="form-control text2 @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" {{--required autocomplete="email" autofocus--}}>
-                            </div>
-                        </div>
+                                        <div class="col-md-6">
+                                            <input id="email" type="email @error('email') is-invalid @enderror"
+                                                   class="form-control text2 @error('email') is-invalid @enderror"
+                                                   name="email"
+                                                   value="{{ old('email') }}" {{--required autocomplete="email" autofocus--}}>
+                                        </div>
+                                    </div>
 
-                        <div class="form-group row">
-                            <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('password') }}</label>
+                                    <div class="form-group row">
+                                        <label for="password" class="col-md-4 col-form-label text-md-right text">
+                                            {{ __('general.password') }}
+                                        </label>
 
-                            <div class="col-md-6">
-                                <input id="password" type="password" class="form-control text2 @error('password') is-invalid @enderror" name="password" {{--required autocomplete="current-password"--}}>
-                            </div>
-                        </div>
+                                        <div class="col-md-6">
+                                            <input id="password" type="password"
+                                                   class="form-control text2 @error('password') is-invalid @enderror"
+                                                   name="password" {{--required autocomplete="current-password"--}}>
+                                        </div>
+                                    </div>
+                                    <div class="row">
+                                        <div class="col-md-12">
+                                            <button type="submit" class="btn button-square">
+                                                {{ __('general.join') }}
+                                            </button>
+                                            {{-- @if (Route::has('password.request'))
+                                                <a class="btn btn-link" href="{{ route('password.request') }}">
+                                                    {{ __('Forgot Your Password?') }}
+                                                </a>
+                                            @endif --}}
+                                        </div>
+                                    </div>
 
-                        {{--<div class="form-group row">
-                            <div class="col-md-6 offset-md-4">
-                                <div class="form-check">
-                                    <input class="form-check-input" type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>
+                                    @if($errors->any())
+                                        <div class="row">
+                                            <div class="col-md-12">
+                                                <div class="text white pin-left" role="alert">
+                                                    <div class="al">
+                                                        @error('email')
+                                                        <p class="text">{{ $message }}</p>
+                                                        @enderror
+                                                        @error('password')
+                                                        <p class="text">{{ $message }}</p>
+                                                        @enderror
+                                                    </div>
+                                                </div>
+                                            </div>
+                                        </div>
+                                    @endif
 
-                                    <label class="form-check-label" for="remember">
-                                        {{ __('Remember Me') }}
-                                    </label>
-                                </div>
+                                </form>
                             </div>
-                        </div>--}}
-
-                            <div class="col-md-12">
-                                <button type="submit" class="btn button-square ">
-                                    {{ __('join') }}
-                                </button>
-                                {{-- @if (Route::has('password.request'))
-                                    <a class="btn btn-link" href="{{ route('password.request') }}">
-                                        {{ __('Forgot Your Password?') }}
-                                    </a>
-                                @endif --}}
-                            </div>
-
-                        @if($errors->any())
-                            <div class="col-md-6 offset-md-2">
-                                <span class="text white pin-left" role="alert">
-                                    <p> </p>
-                                    @error('email')
-                                             <p class="text">{{ $message }}</p>
-                                     @enderror
-                                    @error('password')
-                                             <p class="text">{{ $message }}</p>
-                                     @enderror
-                                </span>
-                            </div>
-                        @endif
-                    </form>
+                        </div>
+                    </div>
                 </div>
             </div>
         </div>
-        </div>
     </div>
-</div>
 @endsection
diff --git a/resources/views/auth/register.blade.php b/resources/views/auth/register.blade.php
index 8b20337..12f34c9 100644
--- a/resources/views/auth/register.blade.php
+++ b/resources/views/auth/register.blade.php
@@ -2,86 +2,106 @@
 
 @section('title', 'Register')
 
-@section('breadcrumb')
+{{--@section('breadcrumb')
     <li class="breadcrumb-item active" aria-current="page">Register</li>
-@endsection
+@endsection--}}
 
 @section('content')
-<div class="container">
-    <div class="row justify-content-center">
-        <div class="col-md-8">
-            <div class="auth">
-            <div class="card">
-                {{--<div class="card-header">{{ __('Register') }}</div>--}}
-
-                <div class="card-body" style="padding-bottom: 0px">
-                    <form method="POST" action="{{ route('register') }}">
-                        @csrf
-
-                        <label for="logo" class="col-md-4 kaplicky">{{ __('kaplicky') }}</label>
-                        <div class="form-group row">
-                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('name') }}</label>
-
-                            <div class="col-md-6">
-                                <input id="name" type="text" class="form-control text2 @error('name') is-invalid @enderror" name="name" value="{{ old('name') }}" {{--required autocomplete="name" autofocus--}}>
-
+    <div class="vertical-center">
+        <div class="container">
+            <div class="row justify-content-center">
+                <div class="col-md-8">
+                    <div class="auth">
+                        <div class="card">
+                            {{--<div class="card-header">{{ __('Register') }}</div>--}}
+
+                            <div class="card-body">
+                                <form method="POST" action="{{ route('register') }}">
+                                    @csrf
+
+                                    <label for="logo" class="col-md-4 kaplicky">{{ __('kaplicky') }}</label>
+                                    <div class="form-group row">
+                                        <label for="name"
+                                               class="col-md-4 col-form-label text text-md-right">{{ __('name') }}</label>
+
+                                        <div class="col-md-6">
+                                            <input id="name" type="text"
+                                                   class="form-control text2 @error('name') is-invalid @enderror"
+                                                   name="name"
+                                                   value="{{ old('name') }}" {{--required autocomplete="name" autofocus--}}>
+
+                                        </div>
+                                    </div>
+
+                                    <div class="form-group row">
+                                        <label for="email"
+                                               class="col-md-4 col-form-label text text-md-right">{{ __('e-mail') }}</label>
+
+                                        <div class="col-md-6">
+                                            <input id="email" type="email @error('email') is-invalid @enderror"
+                                                   class="form-control text2 @error('email') is-invalid @enderror"
+                                                   name="email"
+                                                   value="{{ old('email') }}" {{--required autocomplete="email"--}}>
+
+                                        </div>
+                                    </div>
+
+                                    <div class="form-group row">
+                                        <label for="password"
+                                               class="col-md-4 col-form-label text text-md-right">{{ __('password') }}</label>
+
+                                        <div class="col-md-6">
+                                            <input id="password" type="password"
+                                                   class="form-control text2 @error('password') is-invalid @enderror"
+                                                   name="password" {{--required autocomplete="new-password"--}}>
+
+                                        </div>
+                                    </div>
+
+                                    <div class="form-group row">
+                                        <label for="password-confirm"
+                                               class="col-md-4 col-form-label text text-md-right">{{ __('confirm password') }}</label>
+
+                                        <div class="col-md-6">
+                                            <input id="password-confirm" type="password" class="form-control text2"
+                                                   name="password_confirmation" {{--required autocomplete="new-password"--}}>
+                                        </div>
+                                    </div>
+
+                                    <div class="row">
+                                        <div class="col-md-12">
+                                            <button type="submit" class="btn button-square">
+                                                {{ __('general.register') }}
+                                            </button>
+                                        </div>
+                                    </div>
+
+                                    @if($errors->any())
+                                        <div class="row">
+                                            <div class="col-sm-12">
+                                                <div class="text white pin-left" role="alert">
+                                                    <div class="al">
+                                                        @error('name')
+                                                        <p class="text">{{ $message }}</p>
+                                                        @enderror
+                                                        @error('email')
+                                                        <p class="text">{{ $message }}</p>
+                                                        @enderror
+                                                        @error('password')
+                                                        <p class="text">{{ $message }}</p>
+                                                        @enderror
+                                                    </div>
+                                                </div>
+                                            </div>
+                                        </div>
+                                    @endif
+
+                                </form>
                             </div>
                         </div>
-
-                        <div class="form-group row">
-                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('e-mail') }}</label>
-
-                            <div class="col-md-6">
-                                <input id="email" type="email" class="form-control text2 @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" {{--required autocomplete="email"--}}>
-
-                            </div>
-                        </div>
-
-                        <div class="form-group row">
-                            <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('password') }}</label>
-
-                            <div class="col-md-6">
-                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" {{--required autocomplete="new-password"--}}>
-
-                            </div>
-                        </div>
-
-                        <div class="form-group row">
-                            <label for="password-confirm" class="col-md-4 col-form-label text-md-right">{{ __('confirm password') }}</label>
-
-                            <div class="col-md-6">
-                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" {{--required autocomplete="new-password"--}}>
-                            </div>
-                        </div>
-
-                            <div class="col-md-12">
-                                <button type="submit" class="btn button-square">
-                                    {{ __('Register') }}
-                                </button>
-                            </div>
-
-                        @if($errors->any())
-                            <div class="col-md-6 offset-md-2">
-                                <span class="text white pin-left" role="alert">
-                                    <p> </p>
-                                    @error('email')
-                                             <p class="text">{{ $message }}</p>
-                                     @enderror
-                                    @error('password')
-                                             <p class="text">{{ $message }}</p>
-                                     @enderror
-                                    @error('name')
-                                             <p class="text">{{ $message }}</p>
-                                     @enderror
-                                </span>
-                            </div>
-                        @endif
-
-                    </form>
+                    </div>
                 </div>
             </div>
-            </div>
         </div>
     </div>
-</div>
 @endsection
diff --git a/resources/views/categories/index.blade.php b/resources/views/categories/index.blade.php
index 2f9fd51..6496501 100644
--- a/resources/views/categories/index.blade.php
+++ b/resources/views/categories/index.blade.php
@@ -3,34 +3,54 @@
 @section('title', 'Categories')
 
 @section('content')
-    @if(isset($user))
-        {{--<p><?php dd($categories); ?></p>--}}
-        <div class="cat-main-div" onclick="resetEnter()">
-            <div class="head-title text-center">
-                <h1>choose a topic</h1>
-            </div>
-            {{--@for($k = 1; $k <= count($categories);$k++)--}}
-            @for($k = 0; $k < $count;$k++)
-                @if($k % 6 == 0)
-                    <div class="row">
-                @endif
-                    <div class="col-md-2 cat-col-md-2">
-                        <a href="{{ url('/category/' . $categoryNames[$k]->id) }}">
-                            <button class="btn btn-dark cat-tile">
+    <div class="container">
+        @if(isset($user))
+
+            <div class="cat-main-div" {{--onclick="resetEnter()"--}}>
+                <div class="d-flex flex-wrap justify-content-around btn-group" data-toggle="buttons">
+                    @for($k = 0; $k < $count;$k++)
+                        <div class="d-flex col-sm-12 col-md-6 col-lg-4 col-xl-3">
+                            <a id="cat-but-id{{$categoryNames[$k]->id}}"{{--href="{{ url('/category/' . $categoryNames[$k]->id) }}"--}}
+                                class="btn btn-dark cat-tile w-100 mt-4">
                                 {{$categoryNames[$k]->nameCZ}}
-                            </button>
-                        </a>
-                    </div>
-                @if($k % 6 == 5 || $k + 1 == $count)
-                    </div>
-                @endif
-            @endfor
+                            </a>
+                        </div>
+                    @endfor
+                </div>
+            </div>
+        @else
+            <ul class="list-group">
+                <li class="list-group-item">
+                    <h3>Not found the USER in the database with number id {{$user->id}}!</h3>
+                </li>
+            </ul>
+        @endif
+    </div>
+    <div class="cat-wrapper">
+        <a class="btn button-square cat-enter-butt" onclick="test()" role="button">enter</a>
+    </div>
+    <div class="row justify-content-md-center">
+        <div class="col-md-auto">
+{{--
+            <a class="btn button-square cat-enter-butt" onclick="test()" role="button">enter</a>
+--}}
         </div>
-    @else
-        <ul class="list-group">
-            <li class="list-group-item">
-                <h3>Not found the USER in the database with number id {{$user->id}}!</h3>
-            </li>
-        </ul>
-    @endif
+    </div>
+    <script>
+        function test()
+        {
+            var btns = $(".btn-dark:not(:disabled):not(.disabled).active");
+            if(btns.length > 0)
+            {
+                var text = "";
+                for(var i = 0; i < btns.length;i++)
+                {
+                    var idE =  btns[i].id;
+                    var num = idE.substring(10, idE.length);
+                    text += num + ",";
+                }
+                window.location.href = "{{url('/category/multi/')}}/" + text;
+            }
+        }
+    </script>
 @endsection
diff --git a/resources/views/charts/index.blade.php b/resources/views/charts/index.blade.php
new file mode 100644
index 0000000..1b3050d
--- /dev/null
+++ b/resources/views/charts/index.blade.php
@@ -0,0 +1,63 @@
+@extends('layouts.app')
+
+@section('title', 'Charts')
+
+@section('content')
+    <div class="container">
+        @if(isset($artefacts))
+            @if(count($artefacts) >= 1)
+                <div class="fav-cat-mybooks">
+                    <h1>Charts</h1>
+                </div>
+                @foreach($artefacts as $artefact)
+                    <div class="artefacts-area mb-5">
+                        <div class="card">
+                            <div class="container card-cus-bottom">
+                                <div class="d-flex flex-row row-list">
+                                    <div class="p-1 flex-fill bd-highlight left_panel_info">
+                                        <a href="{{ action('ArtefactController@view', ['id' => $artefact->id]) /*url('/artefact/' . $artefact->id) */}}">
+                                            <h5 class="card-title highlight-white">{{$artefact->name}}</h5>
+                                        </a>
+                                        <h6 class="card-title ">{{$artefact->author}}</h6>
+
+                                    </div>
+                                    <div class="p-1 flex-fill bd-highlight float-center">
+                                        <div class="text-center right_panel_info">
+
+                                            <div class="charts float-center">
+                                                @if (!$artefact->favourite)
+                                                    <a href="{{  action('ArtefactController@like', ['id' => $artefact->id]) }}">
+                                                        <button id="like_butt_{{$artefact->id}}" type="button"
+                                                                class="btn btn-primary button-image inter_like"></button>
+                                                    </a>
+                                                @else
+                                                    <a href="{{  action('ArtefactController@unlike', ['id' => $artefact->id]) }}">
+                                                        <button id="like_butt_{{$artefact->id}}" type="button"
+                                                                class="btn btn-primary button-image inter_like_filled"></button>
+                                                    </a>
+                                                @endif
+                                                <h6 class="artefact-likes">{{$artefact->likes}}</h6>
+                                            </div>
+                                        </div>
+                                    </div>
+                                </div>
+                            </div>
+                        </div>
+                    </div>
+                @endforeach
+            @else
+                <ul class="list-group">
+                    <li class="list-group-item">
+                        <h3>No artefacts were added!</h3>
+                    </li>
+                </ul>
+            @endif
+        @else
+            <ul class="list-group">
+                <li class="list-group-item">
+                    <h3>Not found the USER in the database with number id {{$user->id}}!</h3>
+                </li>
+            </ul>
+        @endif
+    </div>
+@endsection
